#### D.6.2.1 nashmult

Procedure from library `arcpoint.lib` (see arcpoint_lib).

Usage:
  nashmult(f,bound); f polynomial, bound positive integer

Create:
  allsteps:

               a list containing all relevant locally closed sets
               up to order <bound> and their sequences of
               Nash Multiplicities

  setstep:

               list of relevant locally closed sets
               obtained from sequences of length bound+1

Return:
  ring, original basering with additional
  variables t and coefficients up to t^<bound>

Example:

    LIB "arcpoint.lib";
    ring r=0,(x,y,z),dp;
    poly f=z4+y3-x2;
    def R=nashmult(f,2);
    setring R;
    allsteps;
    ==> [1]:
    ==>    [1]:
    ==>       [1]:
    ==>          2,2
    ==>       [2]:
    ==>          _[1]=a(1)
    ==>          _[2]=b(1)
    ==>       [3]:
    ==>          _[1]=1
    ==> [2]:
    ==>    [1]:
    ==>       [1]:
    ==>          2,2,1
    ==>       [2]:
    ==>          _[1]=a(1)
    ==>          _[2]=b(1)
    ==>          _[3]=c(1)^4-a(2)^2
    ==>       [3]:
    ==>          _[1]=a(1)
    ==>          _[2]=b(1)
    ==>          _[3]=c(1)
    ==>          _[4]=a(2)
    ==>    [2]:
    ==>       [1]:
    ==>          2,2,2
    ==>       [2]:
    ==>          _[1]=a(1)
    ==>          _[2]=b(1)
    ==>          _[3]=c(1)
    ==>          _[4]=a(2)
    ==>       [3]:
    ==>          _[1]=1

User manual for Singular version 4.4.1, 2025, generated by texi2html.